cmark-gfm(1)

NAME
cmark - convert CommonMark formatted text with GitHub Flavored Markdown extensions to HTML

SYNOPSIS

cmark-gfm [options] file*

DESCRIPTION
cmark-gfm converts Markdown formatted plain text to either HTML, groff man, CommonMark XML, LaTeX, or CommonMark, using the conventions described in the CommonMark spec. It reads input from stdin or the specified files (concatenating their contents) and writes output to stdout.

OPTIONS

--to, -t FORMAT
    Specify output format (html, man, xml, latex, commonmark).

--width WIDTH
    Specify a column width to which to wrap the output. For no wrapping, use the value 0 (the default). This option currently only affects the commonmark, latex, and man renderers.

--hardbreaks
    Render soft breaks (newlines inside paragraphs in the CommonMark source) as hard line breaks in the target format. If this option is specified, hard wrapping is disabled for CommonMark output, regardless of the value given with --width.

--nobreaks
    Render soft breaks as spaces. If this option is specified, hard wrapping is disabled for all output formats, regardless of the value given with --width.

--sourcepos
    Include source position attribute.

--normalize
    Consolidate adjacent text nodes.

--extension, -e EXTENSION_NAME
    Specify an extension name to use.

--list-extensions
    List available extensions and quit.

--validate-utf8
    Validate UTF-8, replacing illegal sequences with U+FFFD.

--smart
    Use smart punctuation. Straight double and single quotes will be rendered as curly quotes, depending on their position. -- will be rendered as an en-dash. --- will be rendered as an em-dash. ... will be rendered as ellipses.

--unsafe
    Render raw HTML and potentially dangerous URLs. (Raw HTML is not replaced by a placeholder comment; potentially dangerous URLs are not replaced by empty strings.) Dangerous URLs are those that begin with `javascript:`, `vbscript:`, `file:`, or `data:` (except for `image/png`, `image/gif`, `image/jpeg`, or `image/webp` mime types).

--help
    Print usage information.

--version
    Print version.

AUTHORS
John MacFarlane, Vicent Marti, Kārlis Gaņģis, Nick Wellnhofer.

SEE ALSO

CommonMark spec: http://spec.commonmark.org.